Bug 1017719 - [deploy] Failed to migrate scalable apps
[deploy] Failed to migrate scalable apps
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 07:38 EDT by Meng Bo
Modified: 2015-05-14 19:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:34:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upgrade_error_for_haproxy (16.40 KB, text/plain)
2013-10-10 07:39 EDT, Meng Bo
no flags Details

  None (edit)
Description Meng Bo 2013-10-10 07:38:10 EDT
Description of problem:
Create apps on devenv-stage_491, upgrade the server and run datastore migration. Try to upgrade the gears via oo-admin-upgrade, all scalable app will fail and found following error in the upgrade_error log:

"Unhandled exception performing step: undefined method `[]' for nil:NilClass"


Version-Release number of selected component (if applicable):
devenv-stage_491 to devenv_3881

How reproducible:
always

Steps to Reproduce:
1.Create test data on devenv-stage_491
2.Upgrade the server and run compatible migration for datastore
3.Upgrade the gears via oo-admin-upgrade
# oo-admin-upgrade upgrade-node --version 3.0.35 --ignore-cartridge-version

Actual results:
All the scalable app upgrade will failed.

Expected results:
Scalable app should be upgraded successfully.

Additional info:
The full log for the gear upgrade in attachment.
Comment 1 Meng Bo 2013-10-10 07:39:02 EDT
Created attachment 810473 [details]
upgrade_error_for_haproxy
Comment 2 openshift-github-bot 2013-10-11 00:17:21 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/1268d5a9635bcffb434c5474591b1171c144ff78
Fix bug 1017719: run all stages of gear upgrade extension
Comment 3 Paul Morie 2013-10-15 12:35:43 EDT
https://github.com/openshift/li/pull/1994 should resolve this bug.
Comment 4 Meng Bo 2013-10-16 06:01:41 EDT
Scalable app can be upgraded on devenv_3901, move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.